"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initServer = void 0;
const interface_1 = require("../model/interface");
const browser_1 = require("./browser");
const webpack_1 = require("../inject/webpack");
function initServer(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const mergeOptionsDefault = Object.assign(Object.assign({}, interface_1.defaultConfig), options);
        mergeOptionsDefault.puppeteerOptions = Object.assign(Object.assign({}, interface_1.defaultConfig.puppeteerOptions), options.puppeteerOptions);
        const wpage = yield (0, browser_1.initLaunch)(mergeOptionsDefault);
        if (typeof wpage !== 'boolean') {
            const page = yield (0, browser_1.initBrowser)(wpage);
            if (typeof page !== 'boolean') {
                const client = new webpack_1.webPack(page, wpage, mergeOptionsDefault);
                return client;
            }
            else {
                console.log('Error open whatzapp');
            }
        }
        else {
            console.log('Error open browser...');
        }
    });
}
exports.initServer = initServer;
//# sourceMappingURL=init.js.map