"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SenderLayer = void 0;
const listener_layes_1 = require("./listener.layes");
class SenderLayer extends listener_layes_1.ListenerLayer {
    constructor(page, browser, options) {
        super(page, browser, options);
        this.page = page;
        this.browser = browser;
        this.options = options;
    }
    sendMessage(sendOptions) {
        return __awaiter(this, void 0, void 0, function* () {
            return new Promise((resolve, reject) => __awaiter(this, void 0, void 0, function* () {
                const to = sendOptions.to, body = sendOptions.body, options = sendOptions.options;
                const result = yield this.page
                    .evaluate(({ to, body, options }) => {
                    return API.sendMessage(to, body, options);
                }, { to, body, options })
                    .catch();
                if (result.erro == true) {
                    return reject(result);
                }
                else {
                    return resolve(result);
                }
            }));
        });
    }
}
exports.SenderLayer = SenderLayer;
//# sourceMappingURL=sender.layes.js.map